<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRemarkDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('remark_details', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('remark_id')->nullable()->comment('评价ID');
            $table->string('question', 200)->nullable()->comment('问题');
            $table->string('score', 50)->nullable()->comment('评分');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('remark_details');
    }
}
